Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.impl
Class ExtendedStackTraceElement

    java.lang.Object
      org.apache.logging.log4j.core.impl.ExtendedStackTraceElement

All Implemented Interfaces:
  Serializable

    public final class ExtendedStackTraceElement

extends Object
implements Serializable

Wraps and extends the concept of the JRE's final class `StackTraceElement` by adding more location information.

Complements a StackTraceElement with:

- exact: whether the class was obtained via `sun.reflect.Reflection#getCallerClass(int)`
- location: a classpath element or a jar
- version

See Also:
  Serialized Form

Constructor Summary
`ExtendedStackTraceElement(StackTraceElement stackTraceElement, ExtendedClassInfo extraClassInfo)`
`ExtendedStackTraceElement(String declaringClass, String methodName, String fileName, int lineNumber, boolean exact, String location, String version)` Called from Jackson for XML and JSON IO.

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getClassName()`
`boolean` | `getExact()`
`ExtendedClassInfo` | `getExtraClassInfo()`
`String` | `getFileName()`
`int` | `getLineNumber()`
`String` | `getLocation()`
`String` | `getMethodName()`
`StackTraceElement` | `getStackTraceElement()`
`String` | `getVersion()`
`int` | `hashCode()`
`boolean` | `isNativeMethod()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtendedStackTraceElement

    public ExtendedStackTraceElement(StackTraceElement stackTraceElement,
                                     ExtendedClassInfo extraClassInfo)

### ExtendedStackTraceElement

    public ExtendedStackTraceElement(String declaringClass,
                                     String methodName,
                                     String fileName,
                                     int lineNumber,
                                     boolean exact,
                                     String location,
                                     String version)

  Called from Jackson for XML and JSON IO.

Method Detail

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getClassName

    public String getClassName()

### getExact

    public boolean getExact()

### getExtraClassInfo

    public ExtendedClassInfo getExtraClassInfo()

### getFileName

    public String getFileName()

### getLineNumber

    public int getLineNumber()

### getLocation

    public String getLocation()

### getMethodName

    public String getMethodName()

### getStackTraceElement

    public StackTraceElement getStackTraceElement()

### getVersion

    public String getVersion()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### isNativeMethod

    public boolean isNativeMethod()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.